Bug 1686117 - No documentation for how to change payload pull secret [NEEDINFO]
Summary: No documentation for how to change payload pull secret
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Antonio Murdaca
QA Contact: Micah Abbott
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-06 18:31 UTC by David Eads
Modified: 2019-06-04 10:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:45:04 UTC
Target Upstream Version:
amurdaca: needinfo? (deads)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:45:10 UTC

Description David Eads 2019-03-06 18:31:44 UTC
Changing a pull secret when it expires is a critical task for cluster maintenance.  My pull secret became invalid and there was no documentation available for how to change it.  Without a valid pull secret, upgrades don't work because new payloads cannot be retrieved.

Comment 1 Antonio Murdaca 2019-03-17 19:29:45 UTC
I'm unsure on where do we need to have such docs, is the github repository and an md file enough? (dumb question, I suspect we need official docs but not sure where to ask)

Comment 2 Antonio Murdaca 2019-03-25 12:04:01 UTC
In any case, changing the pullsecret for the cluster is done using the `coreos-pull-secret` secret from the namespace `kube-system`:

oc get -o yaml secrets coreos-pull-secret -n kube-system

The above will show the .dockerconfigjson pull secret, editing the object above will change the pull secrets to what provided and regenerate the related objects.

Comment 3 Antonio Murdaca 2019-04-12 13:03:24 UTC
Opened this https://github.com/openshift/machine-config-operator/pull/632 which contains a doc change as well

Comment 4 Antonio Murdaca 2019-04-18 00:05:38 UTC
PR merged with docs added to the repo

Comment 6 Michael Nguyen 2019-05-07 17:48:23 UTC
Verified documention is in codebase from  PR https://github.com/openshift/machine-config-operator/pull/632 and verified steps in

$ oc adm release info
Name:      4.1.0-0.okd-2019-05-07-153426
Digest:    sha256:6beec1fa752f80230c6cd4f6ac1f9301937aefa76c92b7328719b4e340d2136f
Created:   2019-05-07T15:34:36Z
OS/Arch:   linux/amd64
Manifests: 289

Comment 8 errata-xmlrpc 2019-06-04 10:45:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.